package com.quoted.system.service.impl;

import com.quoted.system.domain.vo.ProductPriceDto;
import com.quoted.system.domain.vo.ProductPriceRequestVo;
import com.quoted.system.service.IProductPriceService;
import com.quoted.system.utils.StickerUtils;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class ISysConfigServiceImpl implements IProductPriceService {

    @Override
    public List<ProductPriceDto> getProductPrice(ProductPriceRequestVo product) {
        List<ProductPriceDto> list = new ArrayList<>();

        if ("不干胶".equals(product.getProduct())) {
            list = StickerUtils.getPrice(product);
        }

        return list;
    }
}
